JUCE: AudioProcessorEditorHostContext Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioProcessorEditorHostContext Struct Referenceabstract
juce_audio_processors » processors

Calling AudioProcessorEditor::getHostContext() may return a pointer to an instance of this class. More...

`#include <juce_AudioProcessorEditorHostContext.h>`

## Public Member Functions
virtual | ~AudioProcessorEditorHostContext ()=default
virtual std::unique_ptr< HostProvidedContextMenu > | getContextMenuForParameter (const AudioProcessorParameter *) const =0
| Returns an object which can be used to display a context menu for the parameter with the given index.
virtual std::unique_ptr< HostProvidedContextMenu > | getContextMenuForParameterIndex (const AudioProcessorParameter *p) const
| The naming of this function is misleading.

## Detailed Description

Calling AudioProcessorEditor::getHostContext() may return a pointer to an instance of this class.

At the moment, this can be used to retrieve context menus for parameters in compatible VST3 hosts. Additional extensions may be added here in the future.

## Constructor & Destructor Documentation

## ◆ ~AudioProcessorEditorHostContext()

virtual AudioProcessorEditorHostContext::~AudioProcessorEditorHostContext | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ getContextMenuForParameter()

virtual std::unique_ptr< HostProvidedContextMenu > AudioProcessorEditorHostContext::getContextMenuForParameter | ( | const AudioProcessorParameter * |  | ) | const
| pure virtual

Returns an object which can be used to display a context menu for the parameter with the given index.

Referenced by getContextMenuForParameterIndex().

## ◆ getContextMenuForParameterIndex()

virtual std::unique_ptr< HostProvidedContextMenu > AudioProcessorEditorHostContext::getContextMenuForParameterIndex | ( | const AudioProcessorParameter * | p | ) | const
| virtual

The naming of this function is misleading.

Use getContextMenuForParameter() instead.

Returns an object which can be used to display a context menu for the parameter with the given index.

References getContextMenuForParameter().

The documentation for this struct was generated from the following file:

- juce_AudioProcessorEditorHostContext.h